<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

class OXDATE_CMP_UploadPromoImage extends OW_Component
{
    public function __construct()
    {
        parent::__construct();
        
        OW::getDocument()->addScript(OW::getPluginManager()->getPlugin('oxdate')->getStaticJsUrl().'ajax_file_upload.js');
        
        $js = " OXDATE_FileUploader.init($('.promo_image_upload'), {\$responderUrl}); ";
        
        OW::getDocument()->addOnloadScript(
            UTIL_JsGenerator::composeJsString($js, array("responderUrl" => OW::getRouter()->urlFor('OXDATE_CTRL_Ajax', 'promoImageUpload')))
        );
        
        $file = new FileField('image');
        $this->assign('image', $file->renderInput());
        
        $this->assign('src', false);
        
        if ( OXDATE_BOL_Service::getInstance()->isPromoImageUploaded() )
        {
            $this->assign('src', OXDATE_BOL_Service::getInstance()->getPromoImageUrl());
        }
    }
}

class UploadPromoImageForm extends Form 
{
    public function __construct()
    {
        parent::__construct('promo_image_upload');
        
        
        $this->addElement($file);
        
        $this->setAjax(true);
    }
}