<?php

/***
 * This software is intended for use with Oxdate Free Dating Software
 * http://www.oxdate.org/ and is licensed under The BSD license.
 * Full text of this license can be found at http://www.oxdate.org/license

 * =============================================================================
 * Copyright (c) 2016 Oxdate.org - All rights reserved.
 * =============================================================================

 * Redistribution and use in source and binary forms, with or without modification, are permitted provided that the
 * following conditions are met:

 * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and
   the following disclaimer in the documentation and/or other materials provided with the distribution.
 * Neither the name of the Oxdate Foundation nor the names of its contributors may be used to endorse or promote products
   derived from this software without specific prior written permission.

 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
***/
class WINKS_BOL_Winks extends OW_Entity
{
    public $userId;
    
    public function getUserId()
    {
        return (int)$this->userId;
    }

    public function setUserId( $value )
    {
        $this->userId = (int)$value;
        
        return $this;
    }
    
    public $partnerId;
    
    public function getPartnerId()
    {
        return (int)$this->partnerId;
    }
    
    public function setPartnerId( $value )
    {
        $this->partnerId = (int)$value;
        
        return $this;
    }
    
    public $timestamp;
    
    public function getTimestamp()
    {
        return (int)$this->timestamp;
    }
    
    public function setTimeStamp( $value )
    {
        $this->timestamp = (int)$value;
        
        return $this;
    }
    
    public $status;
    
    public function getStatus()
    {
        return $this->status;
    }
    
    public function setStatus( $value )
    {
        $this->status = $value;
        
        return $this;
    }

    public $viewed;
    
    public function getViewed()
    {
        return (int)$this->viewed;
    }
    
    public function setViewed( $value )
    {
        $this->viewed = (int)$value;
        
        return $this;
    }
    
    public $conversationId;
    
    public function getConversationId()
    {
        return (int)$this->conversationId;
    }
    
    public function setConversationId( $value )
    {
        $this->conversationId = (int)$value;
        
        return $this;
    }
    
    public $winkback;
    
    public function getWinkback()
    {
        return (int)$this->winkback;
    }
    
    public function setWinkback( $value )
    {
        $this->winkback = (int)$value;
        
        return $this;
    }

    public $messageType;

    public function setMessageType( $type )
    {
        $this->messageType = $type;
        
        return $this;
    }
}
